org.bouncycastle.asn1.ess

## Class ESSCertID

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.ess.ESSCertID

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class ESSCertID
      extends ASN1Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ESSCertID(ASN1OctetString certHash, IssuerSerial issuerSerial)`
    `ESSCertID(byte[] hash)`
    `ESSCertID(byte[] hash, IssuerSerial issuerSerial)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `getCertHash()`
    `ASN1OctetString` | `getCertHashObject()`
    `static ESSCertID` | `getInstance(java.lang.Object o)`
    `IssuerSerial` | `getIssuerSerial()`
    `ASN1Primitive` | `toASN1Primitive()` ESSCertID ::= SEQUENCE { certHash Hash, issuerSerial IssuerSerial OPTIONAL }

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ESSCertID

          public ESSCertID(byte[] hash)

    - #### ESSCertID

          public ESSCertID(byte[] hash,
                           IssuerSerial issuerSerial)

    - #### ESSCertID

          public ESSCertID(ASN1OctetString certHash,
                           IssuerSerial issuerSerial)

  - ### Method Detail

    - #### getInstance

          public static ESSCertID getInstance(java.lang.Object o)

    - #### getCertHashObject

          public ASN1OctetString getCertHashObject()

    - #### getCertHash

          public byte[] getCertHash()

    - #### getIssuerSerial

          public IssuerSerial getIssuerSerial()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

           ESSCertID ::= SEQUENCE {
               certHash Hash,
               issuerSerial IssuerSerial OPTIONAL }

      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.